using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using com.hnshituo.core.webapp.vo;

namespace Common
{
    /// <summary>
    /// 车辆黑名单
    /// </summary>
    public class MeterBaseCarBlacelistService
    {
        public RESTfulResult<List<MeterBaseCarBlacelist>> doQueryWf(MeterBaseCarBlacelist info)
        {
            DbHelper db = new DbHelper();
            RESTfulResult<PageList<List<MeterBaseCarBlacelist>>> rm = db.doOption<PageList<List<MeterBaseCarBlacelist>>>("meterbasecarblacelists", "/", new object[] { info }, 0);

            RESTfulResult<List<MeterBaseCarBlacelist>> result = new RESTfulResult<List<MeterBaseCarBlacelist>>();
            result.Succeed = rm.Succeed;
            result.Status = rm.Status;
            result.Message = rm.Message;
            result.ResultMessage = rm.ResultMessage;
            result.Code = rm.Code;
            if (rm.Data != null && rm.Data.list != null && rm.Data.list.Count > 0)
            {
                result.Data = rm.Data.list;
            }

            return result;
        }
    }
}
